//======================================================
//---------- [ SCRIPTS FOR ] -- [   All Rights	    ] ||
//---------- [ UT4_SHULS   ] -- [  Reserved (ARR)   ] ||
//---------- [ LAST EDIT   ] -- [ 05 December 2010  ] ||
//======================================================
//\\\\\\\\\\\\\\//
// 	Light's @ //
//\\\\\\\\\\\\\\//
textures/fleuv/light
{
	surfaceparm nomarks
	q3map_surfacelight 10000				// How strong the light is
	{
		map textures/fleuv/light.jpg
		map $lightmap
		rgbGen identity
	}
}

textures/fleuv/shuls_light	// Swim's script
{
	qer_editorimage textures/fleuv/shuls_light.tga
	q3map_surfacelight 5000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/fleuv/shuls_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/fleuv/shuls_light_blend.tga
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/fleuv/shuls_light_grid.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

//\\\\\\\\\\\\\\//
//	 Floors @ //
//\\\\\\\\\\\\\\//
textures/fleuv/floorgrid	// Codey1's script
{
	qer_editorimage textures/fleuv/floorgrid.tga
	nopicmip
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	cull none
	sort 6
	{
		map textures/fleuv/floorgrid2.tga
		blendFunc GL_ZERO GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
    {
		map textures/fleuv/floorgrid1.tga
		rgbgen const ( 0.5 0.5 0.5 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/fleuv/shuls_tile	// SweetNutz's script
{   
         {
		map textures/fleuv/shuls_tile.jpg
		rgbGen identity
	} 
        {
		map textures/fleuv/env/env_2.jpg
                blendFunc GL_ONE GL_ONE
                tcGen environment
        }
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/fleuv/shuls_floor1	// SweetNutz's script
{   
         {
		map textures/fleuv/shuls_floor1.jpg
		rgbGen identity
	} 
        {
		map textures/fleuv/env/env_2.jpg
                blendFunc GL_ONE GL_ONE
                tcGen environment
        }
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

//\\\\\\\\\\\\\\//
//	 Metals @ //
//\\\\\\\\\\\\\\//
textures/fleuv/shuls_metal1	// SweetNutz's script
{   
         {
		map textures/fleuv/shuls_metal1.jpg
		rgbGen identity
	} 
        {
		map textures/fleuv/env/env_1.jpg
                blendFunc GL_ONE GL_ONE
                tcGen environment
        }
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/fleuv/shuls_metal2	// SweetNutz's script
{   
         {
		map textures/fleuv/shuls_metal2.jpg
		rgbGen identity
	} 
        {
		map textures/fleuv/env/env_1.jpg
                blendFunc GL_ONE GL_ONE
                tcGen environment
        }
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/fleuv/shuls_metal3	// SweetNutz's script
{   
         {
		map textures/fleuv/shuls_metal3.jpg
		rgbGen identity
	} 
        {
		map textures/fleuv/env/env_1.jpg
                blendFunc GL_ONE GL_ONE
                tcGen environment
        }
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}


//\\\\\\\\\\\\\//
//	 Other @ //
//\\\\\\\\\\\\\//
textures/fleuv/shuls_concrete2	// SweetNutz's script
{   
         {
		map textures/fleuv/shuls_concrete2.tga
		rgbGen identity
	} 
        {
		map textures/fleuv/env/env_1.jpg
                blendFunc GL_ONE GL_ONE
                tcGen environment
        }
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/fleuv/shuls_ceiling
{
	qer_editorimage textures/fleuv/shuls_ceiling.jpg
	q3map_surfacelight 1
	q3map_lightSubdivide 256
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/fleuv/shuls_ceiling.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/fleuv/shuls_ceiling.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/fleuv/shuls_concrete1
{
	qer_editorimage textures/fleuv/shuls_concrete1.jpg
	q3map_surfacelight 1
	q3map_lightSubdivide 256
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/fleuv/shuls_concrete1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/fleuv/shuls_concrete1.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/fleuv/ter_shuls
{
        qer_editorimage textures/fleuv/ter_shuls.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/fleuv/ter_shuls.tga
		rgbGen identity
	}
	{
		map textures/fleuv/ter_shuls.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


//\\\\\\\\\\\\\\\\\//
//	 Levelshot @ //
//\\\\\\\\\\\\\\\\\//
levelshots/ut4_shuls_r1
{
	nopicmip
	nomipmaps
        {
                map levelshots/ut4_shuls_r1.tga
        }
}